{% extends 'base.html' %}
{% load student_tags %}
{% load util_tags %}

{% block content %}
<h1 class="heading-1 marg">Oceny {{student}}</h1>
{% if course_list %}
<div class="container p-3 bg-grey bor-rad marg">
    <table class="table table-hover">
        <thead>
            <tr>
                <th scope="col">L.p.</th>
                <th scope="col">Przedmiot</th>
                <th scope="col">Nauczyciel prowadzący</th>
                <th scope="col">Oceny</th>
                <th scope="col">Średnia ocen</th>
                <th scope="col">Przewidywana ocena</th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            {% for course in course_list %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{course.subject}}</td>
                <td>{{course.teacher}}</td>
                <td>
                    {% for grade in student.user|grades:course %}
                        <div class="edu-tooltip" style="background-color: {{grade.type.color}}; padding: 0.2rem 0.4rem; padding: 4px;">{{grade.value.value}}
                            <span class="edu-tooltiptext" style="border: {{grade.type.color|shade_color:1.1}} 1px dotted; background-color: {{grade.type.color|shade_color:0.1}};">
                                Wartość: <span style="font-weight:bold">{{grade}}</span></br>
                                Rodzaj: <span style="font-weight:bold">{{grade.type.name}}</span></br>
                                Waga: <span style="font-weight:bold">{{grade.type.value}}</span>
                            </span>
                        </div>
                    {% endfor %}
                </td>
                <td>{{student.user|avg_grade:course}}</td>
                <td>{{student.user|expected_grade:course}}</td>
                <td><a href="{% url 'register:teacher_student_lesson_list' course.id student.id %}" class="btn btn-primary">Lekcje i Obecności</a></td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
    <div class="edu-tooltip">
        <a href="{% url 'register:generate_grades_pdf' student.user.id %}" class="btn btn-secondary">Generuj kartę ocen</a>
        <span class="edu-tooltiptext" top="medium">
            Dostępne formaty:</br>
                <a href="{% url 'register:generate_grades_json' student.user.id %}" class="edu-btn" color="crimson">JSON</a>
                <a href="{% url 'register:generate_grades_xml' student.user.id %}" class="edu-btn" color="green">XML</a>
                <a href="{% url 'register:generate_grades_csv' student.user.id %}" class="edu-btn" color="brown">CSV</a>
                <a href="{% url 'register:generate_grades_xlsx' student.user.id %}" class="edu-btn" color="blue">XLSX</a>
                <a href="{% url 'register:generate_grades_pdf' student.user.id %}" class="edu-btn" color="violet">PDF</a>
        </span>
    </div>
    <div class="edu-tooltip">
        <a href="{% url 'register:generate_statistics_pdf' student.user.id %}" class="btn btn-secondary">Generuj statystyki obecności</a>
        <span class="edu-tooltiptext" top="medium">
            Dostępne formaty:</br>
                <a href="{% url 'register:generate_statistics_json' student.user.id %}" class="edu-btn" color="crimson">JSON</a>
                <a href="{% url 'register:generate_statistics_xml' student.user.id %}" class="edu-btn" color="green">XML</a>
                <a href="{% url 'register:generate_statistics_csv' student.user.id %}" class="edu-btn" color="brown">CSV</a>
                <a href="{% url 'register:generate_statistics_xlsx' student.user.id %}" class="edu-btn" color="blue">XLSX</a>
                <a href="{% url 'register:generate_statistics_pdf' student.user.id %}" class="edu-btn" color="violet">PDF</a>
        </span>
    </div>
</div>
{% else %}
    <div class="alert alert-primary" role="alert">
        <p>Nie ma żadnych przedmiotów podpiętych do tego ucznia.</p>
    </div>
{% endif %}

{% endblock content %}